Package weka.core

# Interface MultiInstanceCapabilitiesHandler

All Superinterfaces:
  `CapabilitiesHandler`

All Known Implementing Classes:
  `CitationKNN`, `MDD`, `MIBoost`, `MIDD`, `MIEMDD`, `MILR`, `MINND`, `MIOptimalBall`, `MIPolyKernel`, `MIRBFKernel`, `MISMO`, `MISVM`, `MIWrapper`, `MultiInstanceToPropositional`, `SimpleMI`

public interface MultiInstanceCapabilitiesHandler extends CapabilitiesHandler
Multi-Instance classifiers can specify an additional Capabilities object for the data in the relational attribute, since the format of multi-instance data is fixed to "bag/NOMINAL,data/RELATIONAL,class".

Version:
  $Revision: 1.1 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

## Method Summary

Modifier and Type
Method
Description
`Capabilities`
`getMultiInstanceCapabilities()`
Returns the capabilities of this multi-instance classifier for the relational data (i.e., the bags).

### Methods inherited from interface weka.core.CapabilitiesHandler

`getCapabilities`

## Method Details

### getMultiInstanceCapabilities

Capabilities getMultiInstanceCapabilities()
Returns the capabilities of this multi-instance classifier for the relational data (i.e., the bags).

Returns:
  the capabilities of this object
See Also:
  - `Capabilities`